summaryrefslogtreecommitdiff
path: root/opie-3rdparty/crossword_0.0.3.oe
diff options
context:
space:
mode:
Diffstat (limited to 'opie-3rdparty/crossword_0.0.3.oe')
-rw-r--r--opie-3rdparty/crossword_0.0.3.oe33
1 files changed, 33 insertions, 0 deletions
diff --git a/opie-3rdparty/crossword_0.0.3.oe b/opie-3rdparty/crossword_0.0.3.oe
index e69de29bb2..f934b4868a 100644
--- a/opie-3rdparty/crossword_0.0.3.oe
+++ b/opie-3rdparty/crossword_0.0.3.oe
@@ -0,0 +1,33 @@
+DESCRIPTION = "Checkers"
+SECTION = "opie/games"
+PRIORITY = "optional"
+MAINTAINER = "Open Embedded <oe@handhelds.org>"
+LICENSE = "GPL"
+AUTHOR = "Robert Ernst"
+HOMEPAGE = "http://www.linux-solutions.at/projects/zaurus/games-Crossword.html"
+
+SRC_URI = "http://handhelds.org/~zecke/oe_packages/crossword_V0.0.3.tar.gz \
+ file://crossword.patch;patch=1"
+
+PV = "0.0.3"
+S = "${WORKDIR}/crossword_V${PV}"
+
+APPNAME = "crossword"
+APPTYPE = "binary"
+APPDESKTOP = "${S}"
+
+do_install () {
+ install -d ${D}/${palmtopdir}/pics/${APPNAME}/
+ install -m 0644 ${S}/*.png ${D}/${palmtopdir}/pics/${APPNAME}/
+
+}
+
+pkg_postinst() {
+#!/bin/sh
+
+MIMEFILE=/opt/QtPalmtop/etc/mime.types
+
+grep -q application/puz $MIMEFILE 2>/dev/null || echo -e "application/crossword\t\tpuz tpz" >> $MIMEFILE
+}
+
+inherit opie